function init()
	gun.name = "Nodebeam"
	gun.fireDelay = 0
	gun.coolTime = 10000
	gun.shotrange = 800
	--gun.initBeam(2)
	
	return 0
end


function update()

	return 0
end


function fire()
	gun.shotrange = gun.heat * 4000.0	--slowly creep to other nodes
	gun.shotknockback = -50		--slowdown; sets maxspeed of hit things to this
	gun.shotdamage = 5
	gun.cycleBeam(2)
	
	stage.makeBeam(gun.beam, gun.owner, gun.firex, gun.firey, gun.firetarx, gun.firetary)

	--for targeting
	gun.shotrange = 3000
	
	return 0
end

function shot_update()

	return 0
end